TreeNodeBuildingNodeOperation (Groovy 4.0.10)

Package: groovy.console.ui

## [Groovy] Class TreeNodeBuildingNodeOperation

- groovy.console.ui.TreeNodeBuildingNodeOperation

- All Implemented Interfaces and Traits:
    IPrimaryClassNodeOperation

      class TreeNodeBuildingNodeOperation
      extends Object
      implements IPrimaryClassNodeOperation

  This Node Operation builds up a root tree node for the viewer.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `ScriptToTreeNodeAdapter` | `adapter`
    `Object` | `nodeMaker`
    `Object` | `root`
    `Object` | `showClosureClasses`
    `Object` | `showScriptClass`
    `Object` | `showScriptFreeForm`
    `Object` | `sourceCollected`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TreeNodeBuildingNodeOperation(ScriptToTreeNodeAdapter adapter, Object showScriptFreeForm, Object showScriptClass)`
    `TreeNodeBuildingNodeOperation(ScriptToTreeNodeAdapter adapter, Object showScriptFreeForm, Object showScriptClass, Object showClosureClasses)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `call(SourceUnit source, GeneratorContext context, ClassNode classNode)`
    `` | `protected void` | `makeClosureClassTreeNodes(ClassNode classNode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### final ScriptToTreeNodeAdapter adapter

    - #### final Object nodeMaker

    - #### final Object root

    - #### final Object showClosureClasses

    - #### final Object showScriptClass

    - #### final Object showScriptFreeForm

    - #### final Object sourceCollected

  - ### Constructor Detail

    - #### TreeNodeBuildingNodeOperation(ScriptToTreeNodeAdapter adapter, Object showScriptFreeForm, Object showScriptClass)

    - #### TreeNodeBuildingNodeOperation(ScriptToTreeNodeAdapter adapter, Object showScriptFreeForm, Object showScriptClass, Object showClosureClasses)

  - ### Method Detail

    - #### @Override
      void call(SourceUnit source, GeneratorContext context, ClassNode classNode)

    - #### protected void makeClosureClassTreeNodes(ClassNode classNode)